GrailsDefaultCorsConfiguration (Grails 3.3.8)
Date: 2018-08-10

Package: grails.web.mapping.cors

## [Groovy] Class GrailsDefaultCorsConfiguration

- grails.web.mapping.cors.GrailsDefaultCorsConfiguration

- A class that stores default CORS settings

  Authors:
    James Kleeh
  Since:
    3.2.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.cors.CorsConfiguration` | `ALL`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.web.cors.CorsConfiguration` | `applyPermitDefaultValues()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.cors.CorsConfiguration` | `org.springframework.web.cors.CorsConfiguration#setMaxAge(java.lang.Long), org.springframework.web.cors.CorsConfiguration#getMaxAge(), org.springframework.web.cors.CorsConfiguration#setAllowedOrigins(java.util.List), org.springframework.web.cors.CorsConfiguration#getAllowedOrigins(), org.springframework.web.cors.CorsConfiguration#addAllowedOrigin(java.lang.String), org.springframework.web.cors.CorsConfiguration#setAllowedMethods(java.util.List), org.springframework.web.cors.CorsConfiguration#getAllowedMethods(), org.springframework.web.cors.CorsConfiguration#addAllowedMethod(java.lang.String), org.springframework.web.cors.CorsConfiguration#addAllowedMethod(org.springframework.http.HttpMethod), org.springframework.web.cors.CorsConfiguration#setAllowedHeaders(java.util.List), org.springframework.web.cors.CorsConfiguration#getAllowedHeaders(), org.springframework.web.cors.CorsConfiguration#addAllowedHeader(java.lang.String), org.springframework.web.cors.CorsConfiguration#setExposedHeaders(java.util.List), org.springframework.web.cors.CorsConfiguration#getExposedHeaders(), org.springframework.web.cors.CorsConfiguration#addExposedHeader(java.lang.String), org.springframework.web.cors.CorsConfiguration#setAllowCredentials(java.lang.Boolean), org.springframework.web.cors.CorsConfiguration#getAllowCredentials(), org.springframework.web.cors.CorsConfiguration#applyPermitDefaultValues(), org.springframework.web.cors.CorsConfiguration#checkOrigin(java.lang.String), org.springframework.web.cors.CorsConfiguration#checkHttpMethod(org.springframework.http.HttpMethod), org.springframework.web.cors.CorsConfiguration#checkHeaders(java.util.List), org.springframework.web.cors.CorsConfiguration#combine(org.springframework.web.cors.CorsConfiguration), org.springframework.web.cors.CorsConfiguration#wait(long, int), org.springframework.web.cors.CorsConfiguration#wait(long), org.springframework.web.cors.CorsConfiguration#wait(), org.springframework.web.cors.CorsConfiguration#equals(java.lang.Object), org.springframework.web.cors.CorsConfiguration#toString(), org.springframework.web.cors.CorsConfiguration#hashCode(), org.springframework.web.cors.CorsConfiguration#getClass(), org.springframework.web.cors.CorsConfiguration#notify(), org.springframework.web.cors.CorsConfiguration#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### org.springframework.web.cors.CorsConfiguration applyPermitDefaultValues()